lsb

Failures in /gdk-pixbuf-t2c/tests/GdkPixbufLoader_external/GdkPixbufLoader_external 1,2,3

Bug #1335253 reported by Jeff Johnson
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lsb
In Progress
Medium
Unassigned
Mandriva
In Progress
Medium

Bug Description

Also failing
/gdk-pixbuf-t2c/tests/FileSaving/FileSaving 29-34
/gdk-pixbuf-t2c/tests/ModuleInterface_external/ModuleInterface_external 1-9

Message from the test:
Loader with name "checkboard" is not installed although it is required for this
test

There is also descriptive problem info that points to bugs 3257, 2455

The culprit lies in the

desktop-t2c/gdk-pixbuf-t2c/testdata/ModuleInterface_external/install_loader.sh
script. As it properly states newer systems put things in
/usr/lib{64}/gdk-pixbuf-2.0/. That means that /etc/gtk-2.0 directory doesn't
have any use anymore.

Recent Fedoras removed the /etc/gtk-2.0 directory from the gtk2 package, e.g.
compare files from
  http://koji.fedoraproject.org/koji/rpminfo?rpmID=4105133
(gtk2-2.24.19-4.fc20)
to
  http://koji.fedoraproject.org/koji/rpminfo?rpmID=4474222
(gtk2-2.24.22-1.fc20)

Because of that, the install_loader.sh exits with "Unable to locate directory
containing the .loaders file." message in

# Find appropriate .loaders file to update
if [ -z ${GDK_PIXBUF_MODULE_FILE} ]
then
    if [ ! -d "${SYSCONFDIR}/gtk-2.0" ]
    then
        SYSCONFDIR=/etc
        if [ ! -d "${SYSCONFDIR}/gtk-2.0" ]
        then
            SYSCONFDIR=/etc/opt/gnome
            if [ ! -d "${SYSCONFDIR}/gtk-2.0" ]
            then
                echo "Unable to locate directory containing the .loaders file."
                exit 1
            fi
        fi
    fi

Seems that the script would require some love. I made it work with a
quick&dirty fix that make the script jump to the _compatible_ part but I can't
tell what would be the impact on other distributions such as Debian or SuSe.

# diff -uN install_loader.sh.orig install_loader.sh
--- install_loader.sh.orig 2013-02-19 11:23:03.000000000 -0500
+++ install_loader.sh 2013-11-13 05:12:51.914754526 -0500
@@ -47,12 +47,16 @@
             SYSCONFDIR=/etc/opt/gnome
             if [ ! -d "${SYSCONFDIR}/gtk-2.0" ]
             then
- echo "Unable to locate directory containing the .loaders
file."
- exit 1
+ #echo "Unable to locate directory containing the .loaders
file."
+ #exit 1
+ SYSCONFDIR=''
             fi
         fi
     fi

+# skip if SYSCONFDIR not defined
+if [ -n "${SYSCONFDIR}" ]; then
+
     LFILES=`find ${SYSCONFDIR}/gtk-2.0/ -name '*.loaders*'`
     LFILES_NONL=`echo ${LFILES} | tr -d \n`

@@ -100,6 +104,10 @@
             GDK_PIXBUF_MODULE_FILE=`echo "${LFILES}" | tail -1`
         fi
     fi
+
+# end of the skip SYSCONFDIR section
+fi
+
 fi

 # newer systems put things in /usr/lib{64}/gdk-pixbuf-2.0/

Tags: update
Changed in mandriva:
importance: Unknown → Medium
status: Unknown → In Progress
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.